com.explodingpixels.macwidgets

## Class WidgetDarkColorScheme

- java.lang.Object
- - com.explodingpixels.macwidgets.WidgetDarkColorScheme

- All Implemented Interfaces:
    WidgetColorScheme

      public class WidgetDarkColorScheme
      extends Object
      implements WidgetColorScheme

  A `WidgetColorScheme` that provides `MacWidgetsPainter`s and colors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WidgetDarkColorScheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getActiveBackgroundColor()` The background color of the widget when it is in an active window.
    `Color` | `getActiveFocusedSelectedItemBackgroundColor()`
    `MacWidgetsPainter<Component>` | `getActiveFocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.
    `Color` | `getActiveUnfocusedSelectedItemBackgroundColor()`
    `MacWidgetsPainter<Component>` | `getActiveUnfocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.
    `Color` | `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.
    `Color` | `getBadgeTextColor()` The color to draw a badge's text with.
    `Color` | `getCategoryTextColor()` The color to draw a widget category with.
    `Color` | `getCategoryTextShadowColor()` The color to draw a widget category's shadow with.
    `Color` | `getInactiveBackgroundColor()` The background color of the widget when it is in an inactive window.
    `Color` | `getInactiveSelectedItemBackgroundColor()`
    `MacWidgetsPainter<Component>` | `getInactiveSelectedItemPainter()` The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.
    `Color` | `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.
    `Color` | `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is selected.
    `Icon` | `getSelectedCollapsedIcon()` The icon to use when a widget node is collapsed and selected.
    `Icon` | `getSelectedExpandedIcon()` The icon to use when a widget node is expanded and selected.
    `Color` | `getSelectedItemFontShadowColor()` The color to draw a selected widget item's shadow with.
    `Color` | `getSelectedItemTextColor()` The color to draw a selected widget item with.
    `Icon` | `getUnselectedCollapsedIcon()` The icon to use when a widget node is collapsed and unselected.
    `Icon` | `getUnselectedExpandedIcon()` The icon to use when a widget node is expanded and unselected.
    `Color` | `getUnselectedItemTextColor()` The color to draw an unselected widget item with.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WidgetDarkColorScheme

          public WidgetDarkColorScheme()

  - ### Method Detail

    - #### getActiveFocusedSelectedItemPainter

          public MacWidgetsPainter<Component> getActiveFocusedSelectedItemPainter()

      Description copied from interface: `WidgetColorScheme`
      The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.
      Specified by:
        `getActiveFocusedSelectedItemPainter` in interface `WidgetColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an active window where the widget has focus.

    - #### getActiveUnfocusedSelectedItemPainter

          public MacWidgetsPainter<Component> getActiveUnfocusedSelectedItemPainter()

      Description copied from interface: `WidgetColorScheme`
      The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.
      Specified by:
        `getActiveUnfocusedSelectedItemPainter` in interface `WidgetColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an active window where the widget does not have focus.

    - #### getInactiveSelectedItemPainter

          public MacWidgetsPainter<Component> getInactiveSelectedItemPainter()

      Description copied from interface: `WidgetColorScheme`
      The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.
      Specified by:
        `getInactiveSelectedItemPainter` in interface `WidgetColorScheme`
      Returns:
        the `Painter` to use for painting the selection in an inactive window.

    - #### getCategoryTextColor

          public Color getCategoryTextColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a widget category with.
      Specified by:
        `getCategoryTextColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a widget category text with.

    - #### getCategoryTextShadowColor

          public Color getCategoryTextShadowColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a widget category's shadow with.
      Specified by:
        `getCategoryTextShadowColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a widget category text's shadow with.

    - #### getUnselectedItemTextColor

          public Color getUnselectedItemTextColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw an unselected widget item with.
      Specified by:
        `getUnselectedItemTextColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw an unselected widget item with.

    - #### getSelectedItemTextColor

          public Color getSelectedItemTextColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a selected widget item with.
      Specified by:
        `getSelectedItemTextColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a selected widget item with.

    - #### getSelectedItemFontShadowColor

          public Color getSelectedItemFontShadowColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a selected widget item's shadow with.
      Specified by:
        `getSelectedItemFontShadowColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a selected widget item's shadow with.

    - #### getActiveBackgroundColor

          public Color getActiveBackgroundColor()

      Description copied from interface: `WidgetColorScheme`
      The background color of the widget when it is in an active window.
      Specified by:
        `getActiveBackgroundColor` in interface `WidgetColorScheme`
      Returns:
        the background color of the widget when it is in an active window.

    - #### getInactiveBackgroundColor

          public Color getInactiveBackgroundColor()

      Description copied from interface: `WidgetColorScheme`
      The background color of the widget when it is in an inactive window.
      Specified by:
        `getInactiveBackgroundColor` in interface `WidgetColorScheme`
      Returns:
        the background color of the widget when it is in an inactive window.

    - #### getUnselectedCollapsedIcon

          public Icon getUnselectedCollapsedIcon()

      Description copied from interface: `WidgetColorScheme`
      The icon to use when a widget node is collapsed and unselected.
      Specified by:
        `getUnselectedCollapsedIcon` in interface `WidgetColorScheme`
      Returns:
        the icon to use when a widget node is collapsed and unselected.

    - #### getUnselectedExpandedIcon

          public Icon getUnselectedExpandedIcon()

      Description copied from interface: `WidgetColorScheme`
      The icon to use when a widget node is expanded and unselected.
      Specified by:
        `getUnselectedExpandedIcon` in interface `WidgetColorScheme`
      Returns:
        the icon to use when a widget node is expanded and unselected.

    - #### getSelectedCollapsedIcon

          public Icon getSelectedCollapsedIcon()

      Description copied from interface: `WidgetColorScheme`
      The icon to use when a widget node is collapsed and selected.
      Specified by:
        `getSelectedCollapsedIcon` in interface `WidgetColorScheme`
      Returns:
        the icon to use when a widget node is collapsed and selected.

    - #### getSelectedExpandedIcon

          public Icon getSelectedExpandedIcon()

      Description copied from interface: `WidgetColorScheme`
      The icon to use when a widget node is expanded and selected.
      Specified by:
        `getSelectedExpandedIcon` in interface `WidgetColorScheme`
      Returns:
        the icon to use when a widget node is expanded and selected.

    - #### getBadgeTextColor

          public Color getBadgeTextColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a badge's text with.
      Specified by:
        `getBadgeTextColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a badge's text with.

    - #### getSelectedBadgeColor

          public Color getSelectedBadgeColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a badge's background with when it's corresponding widget item is selected. This color is used regardless of the whether the parent window is active or inactive.
      Specified by:
        `getSelectedBadgeColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding widget item is selected

    - #### getActiveUnselectedBadgeColor

          public Color getActiveUnselectedBadgeColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.
      Specified by:
        `getActiveUnselectedBadgeColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.

    - #### getInativeUnselectedBadgeColor

          public Color getInativeUnselectedBadgeColor()

      Description copied from interface: `WidgetColorScheme`
      The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.
      Specified by:
        `getInativeUnselectedBadgeColor` in interface `WidgetColorScheme`
      Returns:
        the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.

    - #### getActiveFocusedSelectedItemBackgroundColor

          public Color getActiveFocusedSelectedItemBackgroundColor()

      Specified by:
        `getActiveFocusedSelectedItemBackgroundColor` in interface `WidgetColorScheme`

    - #### getActiveUnfocusedSelectedItemBackgroundColor

          public Color getActiveUnfocusedSelectedItemBackgroundColor()

      Specified by:
        `getActiveUnfocusedSelectedItemBackgroundColor` in interface `WidgetColorScheme`

    - #### getInactiveSelectedItemBackgroundColor

          public Color getInactiveSelectedItemBackgroundColor()

      Specified by:
        `getInactiveSelectedItemBackgroundColor` in interface `WidgetColorScheme`